io.milvus.param.collection

## Class DropDatabaseParam.Builder

- java.lang.Object
- - io.milvus.param.collection.DropDatabaseParam.Builder

Enclosing class:
  DropDatabaseParam

    public static final class DropDatabaseParam.Builder
    extends java.lang.Object

Builder for `DropDatabaseParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DropDatabaseParam` `build()` Verifies parameters and creates a new `DropDatabaseParam` instance.
`DropDatabaseParam.Builder` `withDatabaseName(@NonNull java.lang.String databaseName)` Sets the databaseName name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public DropDatabaseParam.Builder withDatabaseName(@NonNull
                                                      @NonNull java.lang.String databaseName)

Sets the databaseName name. Database name cannot be empty or null.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### build

    public DropDatabaseParam build()
                            throws ParamException

Verifies parameters and creates a new `DropDatabaseParam` instance.

Returns:
  `DropDatabaseParam`
Throws:
  `ParamException`